The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel Needs to fix their new build...

Discussion in 'General Discussion' started by __DoPe_ShOw__, Jul 14, 2004.

  1. __DoPe_ShOw__

    __DoPe_ShOw__ Well-Known Member

    Joined:
    Mar 8, 2003
    Messages:
    99
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Louisiana
    I get this message through shell when I run the upcp script...

    Installed Version: 9.4.1-Edge_118
    Newest Version: 9.4.1-EDGE_123

    Fetching http://httpupdate.cpanel.net/cpanelsync/EDGE/install....71%...100%......Done
    String found where operator expected at - line 94, near "echo "mysqlcleanup\n""
    (Do you need to predeclare echo?)
    String found where operator expected at - line 96, near "echo "mysqlcleanup complete\n""
    (Do you need to predeclare echo?)
    syntax error at - line 94, near "echo "mysqlcleanup\n""
    syntax error at - line 96, near "echo "mysqlcleanup complete\n""
    Execution of - aborted due to compilation errors.


    cPanel needs to fix this..... Blah...
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Of course. But they will need information about your environment, so did you log a support request with them?
     
  3. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    I've submitted a bug report with all the output on RHEL x86 platform with the same version you are running. bug #880 I believe.
     
  4. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    No, I was able to update during a breif period of time when RHN servers were up and still had the problem.
     
  5. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    Here's my latest WITH RHN servers working still the same message:

    Code:
    chkservd is up to date (Sat Jul 12 19:30:09 2003)
    MySQL-server is up to date (Sat May 15 22:00:43 2004)
    MySQL-embedded is up to date (Sat May 15 22:00:43 2004)
    MySQL-client is up to date (Sat May 15 22:00:43 2004)
    MySQL-devel is up to date (Sat May 15 22:00:43 2004)
    MySQL-bench is up to date (Sat May 15 22:00:43 2004)
    MySQL-shared is up to date (Sat May 15 22:00:43 2004)
    MySQL-shared-compat is up to date (Thu Jul  8 18:10:58 2004)
    portsentry is up to date (Tue Jan 29 20:02:40 2002)
    
    Fetching package list for channel: rhel-i386-es-3...
    
    Fetching package list for channel: rhel-i386-es-3-extras...
    
    Fetching Obsoletes list for channel: rhel-i386-es-3...
    
    Fetching Obsoletes list for channel: rhel-i386-es-3-extras...
    
    Fetching rpm headers...
    
    Name                                    Version        Rel
    ----------------------------------------------------------
    
    
    The following packages you requested are already updated:
    gd
    gd-devel
    expect
    freetype
    freetype-devel
    gnupg
    lynx
    wget
    sharutils
    bind
    bind-devel
    bind-utils
    openssl
    openssl-devel
    openssh
    openssh-server
    openssh-clients
    XFree86-devel
    XFree86-libs
    perl-CPAN
    gcc
    
    Fetching package list for channel: rhel-i386-es-3...
    ########################################
    
    Fetching package list for channel: rhel-i386-es-3-extras...
    ########################################
    
    Fetching Obsoletes list for channel: rhel-i386-es-3...
    
    Fetching Obsoletes list for channel: rhel-i386-es-3-extras...
    
    Fetching rpm headers...
    
    Name                                    Version        Rel
    ----------------------------------------------------------
    
    The following Packages were marked to be skipped by your configuration:
    
    Name                                    Version        Rel  Reason
    -------------------------------------------------------------------------------
    httpd                                   2.0.46         32.ent.3Pkg name/pattern
    kernel                                  2.4.21         15.0.3.ELPkg name/pattern
    kernel-smp                              2.4.21         15.0.3.ELPkg name/pattern
    kernel-source                           2.4.21         15.0.3.ELPkg name/pattern
    php                                     4.3.2          11.entPkg name/pattern
    php-imap                                4.3.2          11.entPkg name/pattern
    php-ldap                                4.3.2          11.entPkg name/pattern
    php-mysql                               4.3.2          11.entPkg name/pattern
    
    All packages are currently up to date
    Testing connection speed...(this could take a while)....Done
    Five usable mirrors located
    CPAN: Storable loaded ok
    Going to read /home/.cpan/Metadata
      Database was generated on Tue, 13 Jul 2004 23:07:12 GMT
    Net::AIM is up to date.
    Net::SSLeay is up to date.
    Archive::Tar is up to date.
    Tree::MultiNode is up to date.
    Tie::IxHash is up to date.
    HTML::Entities is up to date.
    DBI is up to date.
    Data::ShowTable is up to date.
    Mysql is up to date.
    DBD::mysql is up to date.
    CGI is up to date.
    MD5 is up to date.
    Digest::MD5 is up to date.
    Mail::SpamAssassin is up to date.
    Net::DNS is up to date.
    Digest::MD5 is up to date.
    MIME::Base64 is up to date.
    URI::URL is up to date.
    HTML::Tagset is up to date.
    MIME::Base64 is up to date.
    Digest::MD5 is up to date.
    URI is up to date.
    Net::FTP is up to date.
    HTML::Tagset is up to date.
    HTML::Parser is up to date.
    HTML::HeadParser is up to date.
    LWP is up to date.
    Parse::RecDescent is up to date.
    OLE::Storage_Lite is up to date.
    Term::ReadKey is up to date.
    Term::ReadLine::Perl is up to date.
    Image::Size is up to date.
    DBI is up to date.
    Safe::Hole is up to date.
    Tie::ShadowHash is up to date.
    Business::UPS is up to date.
    IO::Scalar is up to date.
    SQL::Statement::Hash is up to date.
    Storable is up to date.
    MIME::Base64 is up to date.
    Digest::MD5 is up to date.
    URI is up to date.
    Net::FTP is up to date.
    HTML::Tagset is up to date.
    HTML::Parser is up to date.
    HTML::HeadParser is up to date.
    LWP is up to date.
    Spreadsheet::ParseExcel is up to date.
    Spreadsheet::WriteExcel is up to date.
    perlmod--Install done
    
    Fetching package list for channel: rhel-i386-es-3...
    ########################################
    
    Fetching package list for channel: rhel-i386-es-3-extras...
    ########################################
    
    Fetching Obsoletes list for channel: rhel-i386-es-3...
    
    Fetching Obsoletes list for channel: rhel-i386-es-3-extras...
    
    Fetching rpm headers...
    
    Name                                    Version        Rel
    ----------------------------------------------------------
    
    
    The following packages you requested are already updated:
    freetype
    freetype-devel
    
    Fetching package list for channel: rhel-i386-es-3...
    ########################################
    
    Fetching package list for channel: rhel-i386-es-3-extras...
    ########################################
    
    Fetching Obsoletes list for channel: rhel-i386-es-3...
    
    Fetching Obsoletes list for channel: rhel-i386-es-3-extras...
    
    Fetching rpm headers...
    
    Name                                    Version        Rel
    ----------------------------------------------------------
    
    
    The following packages you requested were not found:
    iconv
    jpeg
    xpm
    png
    
    The following packages you requested are already updated:
    perl-CPAN
    libpng-devel
    libjpeg-devel
    XFree86-devel
    Testing connection speed...(this could take a while)....Done
    Five usable mirrors located
    CPAN: Storable loaded ok
    Going to read /home/.cpan/Metadata
      Database was generated on Tue, 13 Jul 2004 23:07:12 GMT
    Tree::MultiNode is up to date.
    GD is up to date.
    perlmod--Install done
    GD installed ok
    receiving file list ... done
    ./
    wrote 82 bytes  read 7827 bytes  5272.67 bytes/sec
    total size is 3026133  speedup is 382.62
    Fetching http://httpupdate.cpanel.net/cpanelsync/EDGE/cpanel/version....100%......Done
    Installed Version: 9.4.1-EDGE_119
    Newest Version:    9.4.1-EDGE_123
    
    Fetching http://httpupdate.cpanel.net/cpanelsync/EDGE/install....71%...100%......Done
    String found where operator expected at - line 94, near "echo "mysqlcleanup\n""
            (Do you need to predeclare echo?)
    String found where operator expected at - line 96, near "echo "mysqlcleanup complete\n""
            (Do you need to predeclare echo?)
    syntax error at - line 94, near "echo "mysqlcleanup\n""
    syntax error at - line 96, near "echo "mysqlcleanup complete\n""
    Execution of - aborted due to compilation errors.
    
     
Loading...

Share This Page